org.apache.fop.render.ps.extensions

## Class PSSetPageDevice

- java.lang.Object
- - org.apache.fop.render.ps.extensions.PSExtensionAttachment
  - - org.apache.fop.render.ps.extensions.PSSetPageDevice

All Implemented Interfaces:
  ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable

    public class PSSetPageDevice
    extends PSExtensionAttachment

Element for postscript setpagedevice instruction This is a an extension which provides a pass-through value dictionary object for the postscript setpagedevice instruction.

### Field Summary

Fields
`protected static String` `ELEMENT` element name
`protected String` `name` name attribute

### Fields inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment

`CATEGORY, content`

### Constructor Summary

Constructors
Constructor and Description
`PSSetPageDevice()` constructor
`PSSetPageDevice(String content)` default constructor
`PSSetPageDevice(String name, String content)` constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`protected String` `getElement()`
`String` `getName()`
`void` `setName(String name)` Sets the name of the setup code object.
`void` `toSAX(ContentHandler handler)` Generates SAX events representing the object's state.
`String` `toString()`

### Methods inherited from class org.apache.fop.render.ps.extensions.PSExtensionAttachment

`getCategory, getContent, getType, setContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ELEMENT

    protected static final String ELEMENT

element name

See Also:
  Constant Field Values

#### name

    protected String name

name attribute

### Constructor Detail

#### PSSetPageDevice

    public PSSetPageDevice(String content)

default constructor

Parameters:
  `content` - set page device dictionary

#### PSSetPageDevice

    public PSSetPageDevice(String name,
                           String content)

constructor

Parameters:
  `name` - name attribute of this setpagedevice content
  `content` - set page device dictionary

#### PSSetPageDevice

    public PSSetPageDevice()

constructor

### Method Detail

#### getName

    public String getName()

Returns:
  the name

#### setName

    public void setName(String name)

Sets the name of the setup code object.

Parameters:
  `name` - The name to set.

#### toString

    public String toString()

Overrides:
  `toString` in class `PSExtensionAttachment`
Returns:
  a string representation of this object
See Also:
  `Object.toString()`

#### getElement

    protected String getElement()

Specified by:
  `getElement` in class `PSExtensionAttachment`
Returns:
  a string representation of this object
See Also:
  `PSExtensionAttachment.getElement()`

#### toSAX

    public void toSAX(ContentHandler handler)
               throws SAXException

Generates SAX events representing the object's state.

Specified by:
  `toSAX` in interface `org.apache.xmlgraphics.util.XMLizable`
Overrides:
  `toSAX` in class `PSExtensionAttachment`
Parameters:
  `handler` - ContentHandler instance to send the SAX events to
Throws:
  `SAXException` - if there's a problem generating the SAX events
See Also:
  `XMLizable.toSAX(org.xml.sax.ContentHandler)`